Index: src/main.c
===================================================================
--- src/main.c	(revision 2039)
+++ src/main.c	(working copy)
@@ -83,8 +83,8 @@
 
 GeanyApp *app;
 
-GeanyStatus	 main_status;
-CommandLineOptions cl_options;	// fields initialised in parse_command_line_options
+GeanyStatus  main_status;
+CommandLineOptions cl_options;  // fields initialised in parse_command_line_options
 
 
 static gboolean want_plugins;
@@ -111,27 +111,27 @@
 // in alphabetical order of short options
 static GOptionEntry entries[] =
 {
-	{ "column", 0, 0, G_OPTION_ARG_INT, &cl_options.goto_column, N_("Set initial column number for the first opened file (useful in conjunction with --line)"), NULL },
-	{ "config", 'c', 0, G_OPTION_ARG_FILENAME, &alternate_config, N_("Use an alternate configuration directory"), NULL },
-	{ "debug", 'd', 0, G_OPTION_ARG_NONE, &debug_mode, N_("Runs in debug mode (means being verbose)"), NULL },
-	{ "ft-names", 0, 0, G_OPTION_ARG_NONE, &ft_names, N_("Print internal filetype names"), NULL },
-	{ "generate-tags", 'g', 0, G_OPTION_ARG_NONE, &generate_tags, N_("Generate global tags file (see documentation)"), NULL },
-	{ "no-preprocessing", 'P', 0, G_OPTION_ARG_NONE, &no_preprocessing, NULL, NULL },
-	{ "generate-data-files", 0, G_OPTION_FLAG_HIDDEN, G_OPTION_ARG_NONE, &generate_datafiles, NULL, NULL },
+    { "column", 0, 0, G_OPTION_ARG_INT, &cl_options.goto_column, N_("Set initial column number for the first opened file (useful in conjunction with --line)"), NULL },
+    { "config", 'c', 0, G_OPTION_ARG_FILENAME, &alternate_config, N_("Use an alternate configuration directory"), NULL },
+    { "debug", 'd', 0, G_OPTION_ARG_NONE, &debug_mode, N_("Runs in debug mode (means being verbose)"), NULL },
+    { "ft-names", 0, 0, G_OPTION_ARG_NONE, &ft_names, N_("Print internal filetype names"), NULL },
+    { "generate-tags", 'g', 0, G_OPTION_ARG_NONE, &generate_tags, N_("Generate global tags file (see documentation)"), NULL },
+    { "no-preprocessing", 'P', 0, G_OPTION_ARG_NONE, &no_preprocessing, NULL, NULL },
+    { "generate-data-files", 0, G_OPTION_FLAG_HIDDEN, G_OPTION_ARG_NONE, &generate_datafiles, NULL, NULL },
 #ifdef HAVE_SOCKET
-	{ "new-instance", 'i', 0, G_OPTION_ARG_NONE, &ignore_socket, N_("Don't open files in a running instance, force opening a new instance"), NULL },
+    { "new-instance", 'i', 0, G_OPTION_ARG_NONE, &ignore_socket, N_("Don't open files in a running instance, force opening a new instance"), NULL },
 #endif
-	{ "line", 'l', 0, G_OPTION_ARG_INT, &cl_options.goto_line, N_("Set initial line number for the first opened file"), NULL },
-	{ "no-msgwin", 'm', 0, G_OPTION_ARG_NONE, &no_msgwin, N_("Don't show message window at startup"), NULL },
-	{ "no-ctags", 'n', 0, G_OPTION_ARG_NONE, &ignore_global_tags, N_("Don't load auto completion data (see documentation)"), NULL },
-	{ "no-plugins", 'p', 0, G_OPTION_ARG_NONE, &no_plugins, N_("Don't load plugins"), NULL },
-	{ "no-session", 's', G_OPTION_FLAG_REVERSE, G_OPTION_ARG_NONE, &cl_options.load_session, N_("don't load the previous session's files"), NULL },
+    { "line", 'l', 0, G_OPTION_ARG_INT, &cl_options.goto_line, N_("Set initial line number for the first opened file"), NULL },
+    { "no-msgwin", 'm', 0, G_OPTION_ARG_NONE, &no_msgwin, N_("Don't show message window at startup"), NULL },
+    { "no-ctags", 'n', 0, G_OPTION_ARG_NONE, &ignore_global_tags, N_("Don't load auto completion data (see documentation)"), NULL },
+    { "no-plugins", 'p', 0, G_OPTION_ARG_NONE, &no_plugins, N_("Don't load plugins"), NULL },
+    { "no-session", 's', G_OPTION_FLAG_REVERSE, G_OPTION_ARG_NONE, &cl_options.load_session, N_("don't load the previous session's files"), NULL },
 #ifdef HAVE_VTE
-	{ "no-terminal", 't', 0, G_OPTION_ARG_NONE, &no_vte, N_("Don't load terminal support"), NULL },
-	{ "vte-lib", 0, 0, G_OPTION_ARG_FILENAME, &lib_vte, N_("Filename of libvte.so"), NULL },
+    { "no-terminal", 't', 0, G_OPTION_ARG_NONE, &no_vte, N_("Don't load terminal support"), NULL },
+    { "vte-lib", 0, 0, G_OPTION_ARG_FILENAME, &lib_vte, N_("Filename of libvte.so"), NULL },
 #endif
-	{ "version", 'v', 0, G_OPTION_ARG_NONE, &show_version, N_("Show version and exit"), NULL },
-	{ NULL, 0, 0, 0, NULL, NULL, NULL }
+    { "version", 'v', 0, G_OPTION_ARG_NONE, &show_version, N_("Show version and exit"), NULL },
+    { NULL, 0, 0, 0, NULL, NULL, NULL }
 };
 
 
@@ -140,14 +140,14 @@
 void geany_debug(gchar const *format, ...)
 {
 #ifndef GEANY_DEBUG
-	if (app != NULL && app->debug_mode)
+    if (app != NULL && app->debug_mode)
 #endif
-	{
-		va_list args;
-		va_start(args, format);
-		g_logv(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, format, args);
-		va_end(args);
-	}
+    {
+        va_list args;
+        va_start(args, format);
+        g_logv(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, format, args);
+        va_end(args);
+    }
 }
 
 /* special things for the initial setup of the checkboxes and related stuff
@@ -155,175 +155,175 @@
  * (all the following code is not perfect but it works for the moment) */
 static void apply_settings(void)
 {
-	ui_update_fold_items();
+    ui_update_fold_items();
 
-	// toolbar, message window and sidebar are by default visible, so don't change it if it is true
-	if (! prefs.toolbar_visible)
-	{
-		app->ignore_callback = TRUE;
-		gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_toolbar1")), FALSE);
-		gtk_widget_hide(app->toolbar);
-		app->ignore_callback = FALSE;
-	}
-	if (! ui_prefs.msgwindow_visible)
-	{
-		app->ignore_callback = TRUE;
-		gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_messages_window1")), FALSE);
-		gtk_widget_hide(lookup_widget(app->window, "scrolledwindow1"));
-		app->ignore_callback = FALSE;
-	}
-	if (! ui_prefs.sidebar_visible)
-	{
-		app->ignore_callback = TRUE;
-		gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_sidebar1")), FALSE);
-		app->ignore_callback = FALSE;
-	}
-	ui_treeviews_show_hide(TRUE);
-	// sets the icon style of the toolbar
-	switch (prefs.toolbar_icon_style)
-	{
-		case GTK_TOOLBAR_BOTH:
-		{
-			//gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "images_and_text1")), TRUE);
-			gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "images_and_text2")), TRUE);
-			break;
-		}
-		case GTK_TOOLBAR_ICONS:
-		{
-			//gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "images_only1")), TRUE);
-			gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "images_only2")), TRUE);
-			break;
-		}
-		case GTK_TOOLBAR_TEXT:
-		{
-			//gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "text_only1")), TRUE);
-			gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "text_only2")), TRUE);
-			break;
-		}
-	}
-	gtk_toolbar_set_style(GTK_TOOLBAR(app->toolbar), prefs.toolbar_icon_style);
+    // toolbar, message window and sidebar are by default visible, so don't change it if it is true
+    if (! prefs.toolbar_visible)
+    {
+        app->ignore_callback = TRUE;
+        gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_toolbar1")), FALSE);
+        gtk_widget_hide(app->toolbar);
+        app->ignore_callback = FALSE;
+    }
+    if (! ui_prefs.msgwindow_visible)
+    {
+        app->ignore_callback = TRUE;
+        gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_messages_window1")), FALSE);
+        gtk_widget_hide(lookup_widget(app->window, "scrolledwindow1"));
+        app->ignore_callback = FALSE;
+    }
+    if (! ui_prefs.sidebar_visible)
+    {
+        app->ignore_callback = TRUE;
+        gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_show_sidebar1")), FALSE);
+        app->ignore_callback = FALSE;
+    }
+    ui_treeviews_show_hide(TRUE);
+    // sets the icon style of the toolbar
+    switch (prefs.toolbar_icon_style)
+    {
+        case GTK_TOOLBAR_BOTH:
+        {
+            //gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "images_and_text1")), TRUE);
+            gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "images_and_text2")), TRUE);
+            break;
+        }
+        case GTK_TOOLBAR_ICONS:
+        {
+            //gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "images_only1")), TRUE);
+            gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "images_only2")), TRUE);
+            break;
+        }
+        case GTK_TOOLBAR_TEXT:
+        {
+            //gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "text_only1")), TRUE);
+            gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(ui_widgets.toolbar_menu, "text_only2")), TRUE);
+            break;
+        }
+    }
+    gtk_toolbar_set_style(GTK_TOOLBAR(app->toolbar), prefs.toolbar_icon_style);
 
-	// sets the icon size of the toolbar, use user preferences (.gtkrc) if not set
-	if (prefs.toolbar_icon_size == GTK_ICON_SIZE_SMALL_TOOLBAR ||
-		prefs.toolbar_icon_size == GTK_ICON_SIZE_LARGE_TOOLBAR)
-	{
-		gtk_toolbar_set_icon_size(GTK_TOOLBAR(app->toolbar), prefs.toolbar_icon_size);
-	}
-	ui_update_toolbar_icons(prefs.toolbar_icon_size);
+    // sets the icon size of the toolbar, use user preferences (.gtkrc) if not set
+    if (prefs.toolbar_icon_size == GTK_ICON_SIZE_SMALL_TOOLBAR ||
+        prefs.toolbar_icon_size == GTK_ICON_SIZE_LARGE_TOOLBAR)
+    {
+        gtk_toolbar_set_icon_size(GTK_TOOLBAR(app->toolbar), prefs.toolbar_icon_size);
+    }
+    ui_update_toolbar_icons(prefs.toolbar_icon_size);
 
-	// line number and markers margin are by default enabled
-	if (! editor_prefs.show_markers_margin)
-	{
-		gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_markers_margin1")), FALSE);
-		editor_prefs.show_markers_margin = FALSE;
-	}
-	if (! editor_prefs.show_linenumber_margin)
-	{
-		gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_linenumber_margin1")), FALSE);
-		editor_prefs.show_linenumber_margin = FALSE;
-	}
+    // line number and markers margin are by default enabled
+    if (! editor_prefs.show_markers_margin)
+    {
+        gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_markers_margin1")), FALSE);
+        editor_prefs.show_markers_margin = FALSE;
+    }
+    if (! editor_prefs.show_linenumber_margin)
+    {
+        gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(lookup_widget(app->window, "menu_linenumber_margin1")), FALSE);
+        editor_prefs.show_linenumber_margin = FALSE;
+    }
 
-	// interprets the saved window geometry
-	if (prefs.save_winpos && ui_prefs.geometry[0] != -1)
-	{
-		gtk_window_move(GTK_WINDOW(app->window), ui_prefs.geometry[0], ui_prefs.geometry[1]);
-		gtk_window_set_default_size(GTK_WINDOW(app->window), ui_prefs.geometry[2], ui_prefs.geometry[3]);
-		if (ui_prefs.geometry[4] == 1)
-			gtk_window_maximize(GTK_WINDOW(app->window));
-	}
+    // interprets the saved window geometry
+    if (prefs.save_winpos && ui_prefs.geometry[0] != -1)
+    {
+        gtk_window_move(GTK_WINDOW(app->window), ui_prefs.geometry[0], ui_prefs.geometry[1]);
+        gtk_window_set_default_size(GTK_WINDOW(app->window), ui_prefs.geometry[2], ui_prefs.geometry[3]);
+        if (ui_prefs.geometry[4] == 1)
+            gtk_window_maximize(GTK_WINDOW(app->window));
+    }
 
-	// hide statusbar if desired
-	if (! prefs.statusbar_visible)
-	{
-		gtk_widget_hide(app->statusbar);
-	}
+    // hide statusbar if desired
+    if (! prefs.statusbar_visible)
+    {
+        gtk_widget_hide(app->statusbar);
+    }
 
-	app->ignore_callback = TRUE;
-	gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(
-				lookup_widget(app->window, "menu_line_breaking1")), editor_prefs.line_wrapping);
-	gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(
-				lookup_widget(app->window, "menu_use_auto_indentation1")),
-				(editor_prefs.indent_mode != INDENT_NONE));
-	app->ignore_callback = FALSE;
+    app->ignore_callback = TRUE;
+    gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(
+                lookup_widget(app->window, "menu_line_breaking1")), editor_prefs.line_wrapping);
+    gtk_check_menu_item_set_active(GTK_CHECK_MENU_ITEM(
+                lookup_widget(app->window, "menu_use_auto_indentation1")),
+                (editor_prefs.indent_mode != INDENT_NONE));
+    app->ignore_callback = FALSE;
 
-	// connect the toolbar dropdown menu for the new button
-	gtk_menu_tool_button_set_menu(GTK_MENU_TOOL_BUTTON(
-			lookup_widget(app->window, "menutoolbutton1")), ui_widgets.new_file_menu);
+    // connect the toolbar dropdown menu for the new button
+    gtk_menu_tool_button_set_menu(GTK_MENU_TOOL_BUTTON(
+            lookup_widget(app->window, "menutoolbutton1")), ui_widgets.new_file_menu);
 
-	// set the tab placements of the notebooks
-	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(app->notebook), prefs.tab_pos_editor);
-	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(msgwindow.notebook), prefs.tab_pos_msgwin);
-	gtk_notebook_set_tab_pos(GTK_NOTEBOOK(app->treeview_notebook), prefs.tab_pos_sidebar);
+    // set the tab placements of the notebooks
+    gtk_notebook_set_tab_pos(GTK_NOTEBOOK(app->notebook), prefs.tab_pos_editor);
+    gtk_notebook_set_tab_pos(GTK_NOTEBOOK(msgwindow.notebook), prefs.tab_pos_msgwin);
+    gtk_notebook_set_tab_pos(GTK_NOTEBOOK(app->treeview_notebook), prefs.tab_pos_sidebar);
 
-	ui_update_toolbar_items();
+    ui_update_toolbar_items();
 
-	// whether to show notebook tabs or not
-	gtk_notebook_set_show_tabs(GTK_NOTEBOOK(app->notebook), prefs.show_notebook_tabs);
+    // whether to show notebook tabs or not
+    gtk_notebook_set_show_tabs(GTK_NOTEBOOK(app->notebook), prefs.show_notebook_tabs);
 }
 
 
 static void main_init(void)
 {
-	// inits
-	app->window				= NULL;
-	app->project			= NULL;
-	ui_widgets.open_fontsel		= NULL;
-	ui_widgets.open_colorsel		= NULL;
-	ui_widgets.open_filesel		= NULL;
-	ui_widgets.save_filesel		= NULL;
-	ui_widgets.prefs_dialog		= NULL;
-	tv.default_tag_tree	= NULL;
-	main_status.main_window_realized= FALSE;
-	prefs.tab_order_ltr		= FALSE;
-	main_status.quitting			= FALSE;
-	app->ignore_callback	= FALSE;
-	app->tm_workspace				= tm_get_workspace(app->configdir);
-	ui_prefs.recent_queue				= g_queue_new();
-	main_status.opening_session_files		= FALSE;
+    // inits
+    app->window             = NULL;
+    app->project            = NULL;
+    ui_widgets.open_fontsel     = NULL;
+    ui_widgets.open_colorsel        = NULL;
+    ui_widgets.open_filesel     = NULL;
+    ui_widgets.save_filesel     = NULL;
+    ui_widgets.prefs_dialog     = NULL;
+    tv.default_tag_tree = NULL;
+    main_status.main_window_realized= FALSE;
+    prefs.tab_order_ltr     = FALSE;
+    main_status.quitting            = FALSE;
+    app->ignore_callback    = FALSE;
+    app->tm_workspace               = tm_get_workspace(app->configdir);
+    ui_prefs.recent_queue               = g_queue_new();
+    main_status.opening_session_files       = FALSE;
 
-	app->window = create_window1();
-	ui_widgets.new_file_menu = gtk_menu_new();
-	ui_widgets.recent_files_toolbar = gtk_menu_new();
-	ui_widgets.recent_files_menuitem = lookup_widget(app->window, "recent_files1");
-	ui_widgets.recent_files_menubar = gtk_menu_new();
-	gtk_menu_item_set_submenu(GTK_MENU_ITEM(ui_widgets.recent_files_menuitem),
-							ui_widgets.recent_files_menubar);
+    app->window = create_window1();
+    ui_widgets.new_file_menu = gtk_menu_new();
+    ui_widgets.recent_files_toolbar = gtk_menu_new();
+    ui_widgets.recent_files_menuitem = lookup_widget(app->window, "recent_files1");
+    ui_widgets.recent_files_menubar = gtk_menu_new();
+    gtk_menu_item_set_submenu(GTK_MENU_ITEM(ui_widgets.recent_files_menuitem),
+                            ui_widgets.recent_files_menubar);
 
-	// store important pointers in the GeanyApp structure
-	app->toolbar = lookup_widget(app->window, "toolbar1");
-	app->treeview_notebook = lookup_widget(app->window, "notebook3");
-	app->notebook = lookup_widget(app->window, "notebook1");
-	app->statusbar = lookup_widget(app->window, "statusbar");
-	app->popup_menu = create_edit_menu1();
-	ui_widgets.toolbar_menu = create_toolbar_popup_menu1();
-	ui_widgets.popup_goto_items[0] = lookup_widget(app->popup_menu, "goto_tag_definition1");
-	ui_widgets.popup_goto_items[1] = lookup_widget(app->popup_menu, "goto_tag_declaration1");
-	ui_widgets.popup_goto_items[2] = lookup_widget(app->popup_menu, "find_usage1");
-	ui_widgets.popup_copy_items[0] = lookup_widget(app->popup_menu, "cut1");
-	ui_widgets.popup_copy_items[1] = lookup_widget(app->popup_menu, "copy1");
-	ui_widgets.popup_copy_items[2] = lookup_widget(app->popup_menu, "delete1");
-	ui_widgets.menu_copy_items[0] = lookup_widget(app->window, "menu_cut1");
-	ui_widgets.menu_copy_items[1] = lookup_widget(app->window, "menu_copy1");
-	ui_widgets.menu_copy_items[2] = lookup_widget(app->window, "menu_delete1");
-	ui_widgets.menu_insert_include_items[0] = lookup_widget(app->popup_menu, "insert_include1");
-	ui_widgets.menu_insert_include_items[1] = lookup_widget(app->window, "insert_include2");
-	ui_widgets.save_buttons[0] = lookup_widget(app->window, "menu_save1");
-	ui_widgets.save_buttons[1] = lookup_widget(app->window, "toolbutton10");
-	ui_widgets.save_buttons[2] = lookup_widget(app->window, "menu_save_all1");
-	ui_widgets.save_buttons[3] = lookup_widget(app->window, "toolbutton22");
-	ui_widgets.redo_items[0] = lookup_widget(app->popup_menu, "redo1");
-	ui_widgets.redo_items[1] = lookup_widget(app->window, "menu_redo2");
-	ui_widgets.redo_items[2] = lookup_widget(app->window, "toolbutton_redo");
-	ui_widgets.undo_items[0] = lookup_widget(app->popup_menu, "undo1");
-	ui_widgets.undo_items[1] = lookup_widget(app->window, "menu_undo2");
-	ui_widgets.undo_items[2] = lookup_widget(app->window, "toolbutton_undo");
+    // store important pointers in the GeanyApp structure
+    app->toolbar = lookup_widget(app->window, "toolbar1");
+    app->treeview_notebook = lookup_widget(app->window, "notebook3");
+    app->notebook = lookup_widget(app->window, "notebook1");
+    app->statusbar = lookup_widget(app->window, "statusbar");
+    app->popup_menu = create_edit_menu1();
+    ui_widgets.toolbar_menu = create_toolbar_popup_menu1();
+    ui_widgets.popup_goto_items[0] = lookup_widget(app->popup_menu, "goto_tag_definition1");
+    ui_widgets.popup_goto_items[1] = lookup_widget(app->popup_menu, "goto_tag_declaration1");
+    ui_widgets.popup_goto_items[2] = lookup_widget(app->popup_menu, "find_usage1");
+    ui_widgets.popup_copy_items[0] = lookup_widget(app->popup_menu, "cut1");
+    ui_widgets.popup_copy_items[1] = lookup_widget(app->popup_menu, "copy1");
+    ui_widgets.popup_copy_items[2] = lookup_widget(app->popup_menu, "delete1");
+    ui_widgets.menu_copy_items[0] = lookup_widget(app->window, "menu_cut1");
+    ui_widgets.menu_copy_items[1] = lookup_widget(app->window, "menu_copy1");
+    ui_widgets.menu_copy_items[2] = lookup_widget(app->window, "menu_delete1");
+    ui_widgets.menu_insert_include_items[0] = lookup_widget(app->popup_menu, "insert_include1");
+    ui_widgets.menu_insert_include_items[1] = lookup_widget(app->window, "insert_include2");
+    ui_widgets.save_buttons[0] = lookup_widget(app->window, "menu_save1");
+    ui_widgets.save_buttons[1] = lookup_widget(app->window, "toolbutton10");
+    ui_widgets.save_buttons[2] = lookup_widget(app->window, "menu_save_all1");
+    ui_widgets.save_buttons[3] = lookup_widget(app->window, "toolbutton22");
+    ui_widgets.redo_items[0] = lookup_widget(app->popup_menu, "redo1");
+    ui_widgets.redo_items[1] = lookup_widget(app->window, "menu_redo2");
+    ui_widgets.redo_items[2] = lookup_widget(app->window, "toolbutton_redo");
+    ui_widgets.undo_items[0] = lookup_widget(app->popup_menu, "undo1");
+    ui_widgets.undo_items[1] = lookup_widget(app->window, "menu_undo2");
+    ui_widgets.undo_items[2] = lookup_widget(app->window, "toolbutton_undo");
 
-	ui_init();
+    ui_init();
 
-	// set widget names for matching with .gtkrc-2.0
-	gtk_widget_set_name(app->window, "GeanyMainWindow");
-	gtk_widget_set_name(ui_widgets.toolbar_menu, "GeanyToolbarMenu");
-	gtk_widget_set_name(app->popup_menu, "GeanyEditMenu");
+    // set widget names for matching with .gtkrc-2.0
+    gtk_widget_set_name(app->window, "GeanyMainWindow");
+    gtk_widget_set_name(ui_widgets.toolbar_menu, "GeanyToolbarMenu");
+    gtk_widget_set_name(app->popup_menu, "GeanyEditMenu");
 }
 
 
